
From: Roman Zippel <zippel@linux-m68k.org>

I removed a bit too much from con_close.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/vt.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/char/vt.c~merge-vt_struct-into-vc_data-fix drivers/char/vt.c
--- 25/drivers/char/vt.c~merge-vt_struct-into-vc_data-fix	2005-01-25 09:57:10.721176392 -0800
+++ 25-akpm/drivers/char/vt.c	2005-01-25 09:57:10.726175632 -0800
@@ -2476,6 +2476,10 @@ static void con_close(struct tty_struct 
 	down(&tty_sem);
 	acquire_console_sem();
 	if (tty && tty->count == 1) {
+		struct vc_data *vc = tty->driver_data;
+
+		if (vc)
+			vc->vc_tty = NULL;
 		tty->driver_data = NULL;
 		release_console_sem();
 		vcs_remove_devfs(tty);
_
